<?php
/*
Plugin Name: AgeChecker.Net
Plugin URI:  https://agechecker.net
Description: AgeChecker.Net makes it easy to quickly and securely verify the age of your customers and comply with the latest state and FDA regulations.
Version:     1.2.3
Author:      AgeChecker.Net
Author URI:  https://agechecker.net
*/

if (!class_exists('WC_Integration_AgeChecker')):
    class WC_Integration_AgeChecker
    {
        public function __construct()
        {
            add_action('plugins_loaded', array(
                $this,
                'init'
            ));
        }

        public function init()
        {
            if (class_exists('WC_Integration')) {
                include_once 'class-wc-integration-agechecker-integration.php';
                add_filter('woocommerce_integrations', array(
                    $this,
                    'add_integration'
                ));
            }
        }

        public function add_integration($integrations)
        {
            $integrations[] = 'WC_Integration_AgeChecker_Integration';
            return $integrations;
        }
    }
    $WC_Integration_AgeChecker = new WC_Integration_AgeChecker(__FILE__);
endif;
